## python-osprofiler 0.3.0

=== requirements.txt ===
argparse
six>=1.7.0
WebOb>=1.2.3

=== debian/changelog ===
python-osprofiler (0.3.0-1~cloud1) trusty-kilo; urgency=medium

  * New update for the Ubuntu Cloud Archive:
    - d/rules: Disable python3 unit tests.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Apr 2015 09:42:27 +0100

python-osprofiler (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #760529)

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 09:38:53 +0800

=== debian/control ===
Source: python-osprofiler
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-hacking (>= 0.8.0),
                     python-mock (>= 1.0),
                     python-oslosphinx,
                     python-six (>= 1.7.0),
                     python-subunit (>= 0.0.18),
                     python-testtools (>= 0.9.34),
                     python-webob (>= 1.2.3),
                     python3-mock (>= 1.0),
                     python3-six (>= 1.7.0),
                     python3-subunit (>= 0.0.18),
                     python3-testtools (>= 0.9.34),
                     python3-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-osprofiler.git
Vcs-Git: git://anonscm.debian.org/openstack/python-osprofiler.git
Homepage: https://github.com/stackforge/osprofiler

Package: python-osprofiler
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-six (>= 1.7.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Profiler Library - Python 2.x
 OpenStack consists of multiple projects. Each project, in turn, is composed of
 multiple services. To process some request, e.g. to boot a virtual machine,
 OpenStack uses multiple services from different projects. In the case somethin
 works too slowly, it's extremely complicated to understand what exactly goes
 wrong and to locate the bottleneck.
 .
 To resolve this issue, a tiny but powerful library, osprofiler, has been
 interoduced, and can be used by all OpenStack projects and their Python
 clients. To be able to generate one trace per request, that goes through all
 involved services, and builds a tree of calls (see an example
 http://pavlovic.me/rally/profiler/).
 .
 This package contains the Python 2.x module.

Package: python3-osprofiler
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-six (>= 1.7.0),
         python3-webob (>= 1.2.3),
         ${misc:Depends},
         ${python3:Depends}
Description: OpenStack Profiler Library - Python 3.x
 OpenStack consists of multiple projects. Each project, in turn, is composed of
 multiple services. To process some request, e.g. to boot a virtual machine,
 OpenStack uses multiple services from different projects. In the case somethin
 works too slowly, it's extremely complicated to understand what exactly goes
 wrong and to locate the bottleneck.
 .
 To resolve this issue, a tiny but powerful library, osprofiler, has been
 interoduced, and can be used by all OpenStack projects and their Python
 clients. To be able to generate one trace per request, that goes through all
 involved services, and builds a tree of calls (see an example
 http://pavlovic.me/rally/profiler/).
 .
 This package contains the Python 3.x module.

Package: python-osprofiler-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack Profiler Library - doc
 OpenStack consists of multiple projects. Each project, in turn, is composed of
 multiple services. To process some request, e.g. to boot a virtual machine,
 OpenStack uses multiple services from different projects. In the case somethin
 works too slowly, it's extremely complicated to understand what exactly goes
 wrong and to locate the bottleneck.
 .
 To resolve this issue, a tiny but powerful library, osprofiler, has been
 interoduced, and can be used by all OpenStack projects and their Python
 clients. To be able to generate one trace per request, that goes through all
 involved services, and builds a tree of calls (see an example
 http://pavlovic.me/rally/profiler/).
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/stackforge/osprofiler.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-osprofiler; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-osprofiler; \
	done
	mv $(CURDIR)/debian/python-osprofiler/usr/bin/osprofiler $(CURDIR)/debian/python-osprofiler/usr/bin/python2-osprofiler
	mv $(CURDIR)/debian/python3-osprofiler/usr/bin/osprofiler $(CURDIR)/debian/python3-osprofiler/usr/bin/python3-osprofiler
	rm -rf $(CURDIR)/debian/python*-osprofiler/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -ex ; for i in 2.7; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-osprofiler-doc/usr/share/doc/python-osprofiler-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-osprofiler 1.2.0

=== requirements.txt ===
six>=1.9.0 # MIT
oslo.utils>=3.4.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
python-osprofiler (1.2.0-1ubuntu1) xenial; urgency=medium

  * d/control: Add python-oslo.config to BDs to fix test import error.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 13:19:40 -0500

python-osprofiler (1.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 22:40:52 +0800

python-osprofiler (0.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed watch file to use github tag rather than broken pypi.
  * Fixed debian/copyright ordering.
  * Standards-Version is now 3.9.6 (no change).
  * Ran wrap-and-sort -t -a.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Jan 2016 03:32:01 +0000

python-osprofiler (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed the no-intersphinx patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Dec 2015 18:08:09 +0100

python-osprofiler (0.3.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.
  * Added dh-python as b-d.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:33:21 +0000

python-osprofiler (0.3.0-2) unstable; urgency=medium

  * Made build reproducible (Closes: #788503). Thanks to Juan Picca.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2015 11:18:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,50 @@
 Source: python-osprofiler
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
+               dh-python,
                openstack-pkg-tools,
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-pbr,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-pbr,
-               python3-setuptools
+               python3-setuptools,
 Build-Depends-Indep: python-hacking (>= 0.8.0),
-                     python-mock (>= 1.0),
-                     python-oslosphinx,
-                     python-six (>= 1.7.0),
+                     python-mock (>= 1.3),
+                     python-oslo.config (>= 1:3.2.0),
+                     python-oslo.utils (>= 3.4.0),
+                     python-oslosphinx (>= 2.5.0),
+                     python-six (>= 1.9.0),
                      python-subunit (>= 0.0.18),
-                     python-testtools (>= 0.9.34),
+                     python-testtools (>= 1.4.0),
                      python-webob (>= 1.2.3),
-                     python3-mock (>= 1.0),
-                     python3-six (>= 1.7.0),
+                     python3-docutils,
+                     python3-mock (>= 1.3),
+                     python3-oslo.config (>= 1:3.2.0),
+                     python3-oslo.utils (>= 3.4.0),
+                     python3-six (>= 1.9.0),
                      python3-subunit (>= 0.0.18),
-                     python3-testtools (>= 0.9.34),
+                     python3-testtools (>= 1.4.0),
                      python3-webob (>= 1.2.3),
                      subunit (>= 0.0.18),
-                     testrepository (>= 0.0.18)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-osprofiler.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-osprofiler.git
+                     testrepository (>= 0.0.18),
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-osprofiler.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-osprofiler.git
 Homepage: https://github.com/stackforge/osprofiler
 
 Package: python-osprofiler
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-six (>= 1.7.0),
+Depends: python-oslo.utils (>= 3.4.0),
+         python-six (>= 1.9.0),
          python-webob (>= 1.2.3),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Profiler Library - Python 2.x
  OpenStack consists of multiple projects. Each project, in turn, is composed of
  multiple services. To process some request, e.g. to boot a virtual machine,
@@ -55,11 +62,11 @@
 
 Package: python3-osprofiler
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python3-six (>= 1.7.0),
+Depends: python3-oslo.utils (>= 3.4.0),
+         python3-six (>= 1.9.0),
          python3-webob (>= 1.2.3),
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
 Description: OpenStack Profiler Library - Python 3.x
  OpenStack consists of multiple projects. Each project, in turn, is composed of
  multiple services. To process some request, e.g. to boot a virtual machine,
@@ -78,8 +85,8 @@
 Package: python-osprofiler-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: OpenStack Profiler Library - doc
  OpenStack consists of multiple projects. Each project, in turn, is composed of
  multiple services. To process some request, e.g. to boot a virtual machine,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
@@ -24,10 +28,13 @@
 	mv $(CURDIR)/debian/python3-osprofiler/usr/bin/osprofiler $(CURDIR)/debian/python3-osprofiler/usr/bin/python3-osprofiler
 	rm -rf $(CURDIR)/debian/python*-osprofiler/usr/lib/python*/dist-packages/*.pth
 
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	echo "===> Running tests"
-	set -ex ; for i in 2.7; do \
+	set -ex ; for i in 2.7 $(PYTHON3S) ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \
@@ -45,7 +52,7 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-osprofiler-doc/usr/share/doc/python-osprofiler-doc/html
+	sphinx-build $(SPHINXOPTS) -b html doc/source debian/python-osprofiler-doc/usr/share/doc/python-osprofiler-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 
 # Commands not to run

## python-osprofiler 1.3.0

=== debian/changelog ===
python-osprofiler (1.3.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 09 Sep 2016 07:36:42 +0000

python-osprofiler (1.3.0-2) experimental; urgency=medium

  * Added a patch to "import warnings" in sphinx conf.py.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jun 2016 10:19:37 +0000

python-osprofiler (1.3.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Add python-oslo.config to BDs to fix test import error.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Added myself to Debian part
  * Added simple Debian tests
  * Fix copyright year in documentation to make build reproducible
  * d/rules: Changed UPSTREAM_GIT to new URL
  * d/copyright: Changed source URL to new one

  [ Thomas Goirand ]
  * New upstream release.
  * Drop sphinx-doc patches.
  * Add patch to make doc build reproducible (ie: not using build time).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jun 2016 09:24:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-osprofiler
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -33,7 +32,7 @@
                      python3-webob (>= 1.2.3),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-osprofiler.git/
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-osprofiler.git
 Homepage: https://github.com/stackforge/osprofiler

## python-osprofiler 1.4.0

=== requirements.txt ===
six>=1.9.0 # MIT
oslo.messaging>=5.2.0 # Apache-2.0
oslo.utils>=3.4.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
python-osprofiler (1.4.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Sun, 26 Feb 2017 22:57:14 +0000

python-osprofiler (1.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 14:12:59 +0200

python-osprofiler (1.4.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/do-not-use-build-time-in-docs.patch: Dropped. Fixed upstream.
  * d/p/adds-import-warnings.patch: Dropped. Fixed upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Sep 2016 17:25:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -13,19 +13,25 @@
                python3-all,
                python3-pbr,
                python3-setuptools,
-Build-Depends-Indep: python-hacking (>= 0.8.0),
+Build-Depends-Indep: python-ceilometerclient (>= 2.2.1),
+                     python-hacking (>= 0.8.0),
                      python-mock (>= 1.3),
                      python-oslo.config (>= 1:3.2.0),
+                     python-oslo.messaging (>= 5.2.0),
                      python-oslo.utils (>= 3.4.0),
                      python-oslosphinx (>= 2.5.0),
+                     python-pymongo (>= 3.0.2),
                      python-six (>= 1.9.0),
                      python-subunit (>= 0.0.18),
                      python-testtools (>= 1.4.0),
                      python-webob (>= 1.2.3),
+                     python3-ceilometerclient (>= 2.2.1),
                      python3-docutils,
                      python3-mock (>= 1.3),
                      python3-oslo.config (>= 1:3.2.0),
+                     python3-oslo.messaging (>= 5.2.0),
                      python3-oslo.utils (>= 3.4.0),
+                     python3-pymongo (>= 3.0.2),
                      python3-six (>= 1.9.0),
                      python3-subunit (>= 0.0.18),
                      python3-testtools (>= 1.4.0),
@@ -33,13 +39,14 @@
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-osprofiler.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-osprofiler.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-osprofiler?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-osprofiler -b debian/newton
 Homepage: https://github.com/stackforge/osprofiler
 
 Package: python-osprofiler
 Architecture: all
-Depends: python-oslo.utils (>= 3.4.0),
+Depends: python-oslo.messaging (>= 5.2.0),
+         python-oslo.utils (>= 3.4.0),
          python-six (>= 1.9.0),
          python-webob (>= 1.2.3),
          ${misc:Depends},
@@ -61,7 +68,8 @@
 
 Package: python3-osprofiler
 Architecture: all
-Depends: python3-oslo.utils (>= 3.4.0),
+Depends: python3-oslo.messaging (>= 5.2.0),
+         python3-oslo.utils (>= 3.4.0),
          python3-six (>= 1.9.0),
          python3-webob (>= 1.2.3),
          ${misc:Depends},

## python-osprofiler 1.5.0

=== debian/changelog ===
python-osprofiler (1.5.0-0ubuntu3~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 03 Feb 2017 19:55:11 +0000

python-osprofiler (1.5.0-0ubuntu3) zesty; urgency=medium

  * Fix ftbfs. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 14:27:07 -0500

python-osprofiler (1.5.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Re-align dependenceis. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 13:52:23 -0500

python-osprofiler (1.5.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 11:56:55 -0500

python-osprofiler (1.4.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/do-not-use-build-time-in-docs.patch: Dropped. Fixed upstream.
  * d/p/adds-import-warnings.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 16 Aug 2016 15:09:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-osprofiler
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -13,42 +14,60 @@
                python3-all,
                python3-pbr,
                python3-setuptools,
-Build-Depends-Indep: python-ceilometerclient (>= 2.2.1),
-                     python-hacking (>= 0.8.0),
-                     python-mock (>= 1.3),
+Build-Depends-Indep: python-ceilometerclient,
+                     python-ddt (>= 1.0.1),
+                     python-elasticsearch,
+                     python-mock (>= 2.0),
+                     python-netaddr (>= 0.7.13),
+                     python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.2.0),
+                     python-oslo.log (>= 3.11.0),
                      python-oslo.messaging (>= 5.2.0),
-                     python-oslo.utils (>= 3.4.0),
-                     python-oslosphinx (>= 2.5.0),
+                     python-oslo.utils (>= 3.16.0),
+                     python-oslosphinx (>= 4.7.0),
                      python-pymongo (>= 3.0.2),
+                     python-redis (>= 2.10.0),
+                     python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
                      python-subunit (>= 0.0.18),
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.2.3),
-                     python3-ceilometerclient (>= 2.2.1),
+                     python-webob (>= 1.6.0),
+                     python3-ddt (>= 1.0.1),
                      python3-docutils,
-                     python3-mock (>= 1.3),
+                     python3-elasticsearch,
+                     python3-mock (>= 2.0),
+                     python3-netaddr (>= 0.7.13),
+                     python3-ceilometerclient,
+                     python3-oslo.concurrency (>= 3.8.0),
                      python3-oslo.config (>= 1:3.2.0),
+                     python3-oslo.log (>= 3.11.0),
                      python3-oslo.messaging (>= 5.2.0),
-                     python3-oslo.utils (>= 3.4.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-pymongo (>= 3.0.2),
+                     python3-redis (>= 2.10.0),
+                     python3-requests (>= 2.10.0),
                      python3-six (>= 1.9.0),
                      python3-subunit (>= 0.0.18),
                      python3-testtools (>= 1.4.0),
-                     python3-webob (>= 1.2.3),
+                     python3-webob (>= 1.6.0),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18),
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-osprofiler?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-osprofiler -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osprofiler
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osprofiler
 Homepage: https://github.com/stackforge/osprofiler
 
 Package: python-osprofiler
 Architecture: all
-Depends: python-oslo.messaging (>= 5.2.0),
-         python-oslo.utils (>= 3.4.0),
+Depends: python-netaddr (>= 0.7.13),
+         python-ceilometerclient,
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.log (>= 3.11.0),
+         python-oslo.messaging (>= 5.2.0),
+         python-oslo.utils (>= 3.16.0),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
-         python-webob (>= 1.2.3),
+         python-webob (>= 1.6.0),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack Profiler Library - Python 2.x
@@ -68,10 +87,15 @@
 
 Package: python3-osprofiler
 Architecture: all
-Depends: python3-oslo.messaging (>= 5.2.0),
-         python3-oslo.utils (>= 3.4.0),
+Depends: python3-netaddr (>= 0.7.13),
+         python3-ceilometerclient,
+         python3-oslo.concurrency (>= 3.8.0),
+         python3-oslo.log (>= 3.11.0),
+         python3-oslo.messaging (>= 5.2.0),
+         python3-oslo.utils (>= 3.16.0),
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
-         python3-webob (>= 1.2.3),
+         python3-webob (>= 1.6.0),
          ${misc:Depends},
          ${python3:Depends},
 Description: OpenStack Profiler Library - Python 3.x

## python-osprofiler 1.11.0

=== requirements.txt ===
six>=1.9.0 # MIT
oslo.messaging>=5.2.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
WebOb>=1.6.0 # MIT
requests>=2.10.0 # Apache-2.0
netaddr>=0.7.13,!=0.7.16  # BSD
oslo.concurrency>=3.8.0 # Apache-2.0

=== debian/changelog ===
python-osprofiler (1.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:18:21 +0000

python-osprofiler (1.11.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Add python-oslo.config to BDs to fix test import error.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Added myself to Debian part
  * Added simple Debian tests
  * Fix copyright year in documentation to make build reproducible
  * d/rules: Changed UPSTREAM_GIT to new URL
  * d/copyright: Changed source URL to new one

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.
  * Removed all patches, now useless.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 14:03:29 +0200

python-osprofiler (1.2.0-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:13:51 +0000

=== debian/control ===
Source: python-osprofiler
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-ceilometerclient,
 python-ddt,
 python-elasticsearch (>= 2.0.0),
 python-hacking,
 python-mock,
 python-netaddr,
 python-openstackdocstheme (>= 1.11.0),
 python-oslo.concurrency,
 python-oslo.config (>= 1:3.2.0),
 python-oslo.log,
 python-oslo.utils (>= 3.16.0),
 python-pymongo,
 python-redis,
 python-requests,
 python-six,
 python-testtools,
 python-webob,
 python3-ceilometerclient,
 python3-ddt,
 python3-docutils,
 python3-elasticsearch (>= 2.0.0),
 python3-mock,
 python3-netaddr,
 python3-oslo.concurrency,
 python3-oslo.config (>= 1:3.2.0),
 python3-oslo.log,
 python3-oslo.utils (>= 3.16.0),
 python3-pymongo,
 python3-redis,
 python3-requests,
 python3-six,
 python3-testtools,
 python3-webob,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-osprofiler.git
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-osprofiler.git
Homepage: https://github.com/stackforge/osprofiler

Package: python-osprofiler
Architecture: all
Depends:
 python-netaddr,
 python-oslo.concurrency,
 python-oslo.log,
 python-oslo.utils (>= 3.16.0),
 python-requests,
 python-six,
 python-webob,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Profiler Library - Python 2.x
 OpenStack consists of multiple projects. Each project, in turn, is composed of
 multiple services. To process some request, e.g. to boot a virtual machine,
 OpenStack uses multiple services from different projects. In the case somethin
 works too slowly, it's extremely complicated to understand what exactly goes
 wrong and to locate the bottleneck.
 .
 To resolve this issue, a tiny but powerful library, osprofiler, has been
 interoduced, and can be used by all OpenStack projects and their Python
 clients. To be able to generate one trace per request, that goes through all
 involved services, and builds a tree of calls (see an example
 http://pavlovic.me/rally/profiler/).
 .
 This package contains the Python 2.x module.

Package: python-osprofiler-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Profiler Library - doc
 OpenStack consists of multiple projects. Each project, in turn, is composed of
 multiple services. To process some request, e.g. to boot a virtual machine,
 OpenStack uses multiple services from different projects. In the case somethin
 works too slowly, it's extremely complicated to understand what exactly goes
 wrong and to locate the bottleneck.
 .
 To resolve this issue, a tiny but powerful library, osprofiler, has been
 interoduced, and can be used by all OpenStack projects and their Python
 clients. To be able to generate one trace per request, that goes through all
 involved services, and builds a tree of calls (see an example
 http://pavlovic.me/rally/profiler/).
 .
 This package contains the documentation.

Package: python3-osprofiler
Architecture: all
Depends:
 python3-netaddr,
 python3-oslo.concurrency,
 python3-oslo.log,
 python3-oslo.utils (>= 3.16.0),
 python3-requests,
 python3-six,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Profiler Library - Python 3.x
 OpenStack consists of multiple projects. Each project, in turn, is composed of
 multiple services. To process some request, e.g. to boot a virtual machine,
 OpenStack uses multiple services from different projects. In the case somethin
 works too slowly, it's extremely complicated to understand what exactly goes
 wrong and to locate the bottleneck.
 .
 To resolve this issue, a tiny but powerful library, osprofiler, has been
 interoduced, and can be used by all OpenStack projects and their Python
 clients. To be able to generate one trace per request, that goes through all
 involved services, and builds a tree of calls (see an example
 http://pavlovic.me/rally/profiler/).
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

UPSTREAM_GIT := https://github.com/openstack/osprofiler.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'osprofiler\.tests\.(?!.*OptsTestCase.test_entry_point.*)'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build $(SPHINXOPTS) -b html doc/source debian/python-osprofiler-doc/usr/share/doc/python-osprofiler-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-osprofiler 1.15.2

=== requirements.txt ===
six>=1.9.0 # MIT
oslo.utils>=3.16.0 # Apache-2.0
WebOb>=1.6.0 # MIT
requests>=2.10.0 # Apache-2.0
netaddr>=0.7.13,!=0.7.16  # BSD
oslo.concurrency>=3.8.0 # Apache-2.0

=== debian/changelog ===
python-osprofiler (1.15.2-0ubuntu1) bionic; urgency=medium

  * New upstream point release.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Feb 2018 12:35:08 -0500

python-osprofiler (1.15.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 11:30:43 +0000

python-osprofiler (1.14.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 11:46:28 +0000

python-osprofiler (1.11.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 09:45:47 -0400

python-osprofiler (1.10.1-0ubuntu1) artful; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 15:04:32 -0400

python-osprofiler (1.9.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:24:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,71 +1,83 @@
 Source: python-osprofiler
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools,
  python-all,
- python-pbr,
+ python-pbr (>= 2.0.0),
  python-setuptools,
  python-sphinx (>= 1.6.2),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-ceilometerclient,
- python-ddt,
- python-elasticsearch (>= 2.0.0),
- python-hacking,
- python-mock,
- python-netaddr,
- python-openstackdocstheme (>= 1.11.0),
- python-oslo.concurrency,
- python-oslo.config (>= 1:3.2.0),
- python-oslo.log,
- python-oslo.utils (>= 3.16.0),
- python-pymongo,
- python-redis,
- python-requests,
- python-six,
- python-testtools,
- python-webob,
- python3-ceilometerclient,
- python3-ddt,
+ python-ceilometerclient (>= 2.5.0),
+ python-coverage (>= 3.6),
+ python-ddt (>= 1.0.1),
+ python-elasticsearch,
+ python-mock (>= 2.0.0),
+ python-netaddr (>= 0.7.18),
+ python-openstackdocstheme (>= 1.17.0),
+ python-oslo.concurrency (>= 3.25.0),
+ python-oslo.config (>= 1:5.1.0),
+ python-oslo.log (>= 3.36.0),
+ python-oslo.messaging (>= 5.29.0),
+ python-oslo.utils (>= 3.33.0),
+ python-pymongo (>= 3.0.2),
+ python-redis (>= 2.10.0),
+ python-requests (>= 2.10.0),
+ python-six (>= 1.10.0),
+ python-subunit (>= 1.0.0),
+ python-testrepository (>= 0.0.18),
+ python-testtools (>= 2.2.0),
+ python-webob (>= 1:1.7.1),
+ python3-ceilometerclient (>= 2.5.0),
+ python3-coverage (>= 3.6),
+ python3-ddt (>= 1.0.1),
  python3-docutils,
- python3-elasticsearch (>= 2.0.0),
- python3-mock,
- python3-netaddr,
- python3-oslo.concurrency,
- python3-oslo.config (>= 1:3.2.0),
- python3-oslo.log,
- python3-oslo.utils (>= 3.16.0),
- python3-pymongo,
- python3-redis,
- python3-requests,
- python3-six,
- python3-testtools,
- python3-webob,
- subunit,
- testrepository,
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-osprofiler.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-osprofiler.git
+ python3-elasticsearch,
+ python3-mock (>= 2.0.0),
+ python3-netaddr (>= 0.7.18),
+ python3-openstackdocstheme (>= 1.17.0),
+ python3-oslo.concurrency (>= 3.25.0),
+ python3-oslo.config (>= 1:5.1.0),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pymongo (>= 3.0.2),
+ python3-redis (>= 2.10.0),
+ python3-requests (>= 2.10.0),
+ python3-six (>= 1.10.0),
+ python3-subunit (>= 1.0.0),
+ python3-testrepository (>= 0.0.18),
+ python3-testtools (>= 2.2.0),
+ python3-webob (>= 1:1.7.1),
+ subunit (>= 0.0.18),
+ testrepository (>= 0.0.18),
+Standards-Version: 4.1.2
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osprofiler
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-osprofiler
 Homepage: https://github.com/stackforge/osprofiler
 
 Package: python-osprofiler
 Architecture: all
 Depends:
- python-netaddr,
- python-oslo.concurrency,
- python-oslo.log,
- python-oslo.utils (>= 3.16.0),
- python-requests,
- python-six,
- python-webob,
+ python-ceilometerclient,
+ python-netaddr (>= 0.7.18),
+ python-oslo.concurrency (>= 3.25.0),
+ python-oslo.log (>= 3.36.0),
+ python-oslo.messaging (>= 5.29.0),
+ python-oslo.utils (>= 3.33.0),
+ python-requests (>= 2.10.0),
+ python-six (>= 1.10.0),
+ python-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python:Depends},
 Description: OpenStack Profiler Library - Python 2.x
@@ -107,13 +119,15 @@
 Package: python3-osprofiler
 Architecture: all
 Depends:
- python3-netaddr,
- python3-oslo.concurrency,
- python3-oslo.log,
- python3-oslo.utils (>= 3.16.0),
- python3-requests,
- python3-six,
- python3-webob,
+ python3-ceilometerclient,
+ python3-netaddr (>= 0.7.18),
+ python3-oslo.concurrency (>= 3.25.0),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-requests (>= 2.10.0),
+ python3-six (>= 1.10.0),
+ python3-webob (>= 1:1.7.1),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack Profiler Library - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -4,21 +4,47 @@
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
+PYTHONS:=$(shell pyversions -vr)
+PYTHON3S:=$(shell py3versions -vr)
+
 UPSTREAM_GIT := https://github.com/openstack/osprofiler.git
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_auto_install:
-	pkgos-dh_auto_install
+override_dh_install:
+	set -e && for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-osprofiler; \
+	done
+	set -e && for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-osprofiler; \
+	done
+	mv $(CURDIR)/debian/python-osprofiler/usr/bin/osprofiler $(CURDIR)/debian/python-osprofiler/usr/bin/python2-osprofiler
+	mv $(CURDIR)/debian/python3-osprofiler/usr/bin/osprofiler $(CURDIR)/debian/python3-osprofiler/usr/bin/python3-osprofiler
+	rm -rf $(CURDIR)/debian/python*-osprofiler/usr/lib/python*/dist-packages/*.pth
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'osprofiler\.tests\.(?!.*OptsTestCase.test_entry_point.*)'
+	echo "===> Running tests"
+	set -ex ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 override_dh_clean:

=== debian/tests/control ===
Depends: python-osprofiler
Test-Command: cd "$ADTTMP" ; python -c "import osprofiler; print osprofiler.__version__"

Depends: python3-osprofiler
Test-Command: cd "$ADTTMP" ; python3 -c "import osprofiler; print(osprofiler.__version__)"

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/osprofiler/ osprofiler-(\d.*)\.tar\.gz
